;;; ~/.doom.d/config.el -*- lexical-binding: t; -*-

;; Use "," as leader.
(setq doom-localleader-key ",")

;; Set font
(setq doom-font (font-spec :family "FuraCode NF" :size 12))
(pcase (system-name)
  ("zuk"
   ;; Wayland support for high HDPI scaling has some issues.
   ;; Increasing the font size is a working stopgap.
   (font-put doom-font :size 15))
)

;; Use an image splash
(setq fancy-splash-image (concat doom-private-dir "doom.png"))


;; Have projectile automatically check code.
(require 'seq)
(setq projectile-project-search-path
      (seq-filter 'file-directory-p '("~/src" "~/Code" "~/opt")))
;; Make sort reasonable.
(setq projectile-sort-order 'access-time)

(load! "+mail")
(load! "+org")
